untrusted comment: verify with openbsd-67-base.pub
RWRmkIA877Io3vDnZoog9v/jquGubsEoN4VMN7fOe/mFNelcfPVgMKrlhQLQd+w3lZ2Q/JbwpHmAwlx8gfe9WejdO8XrpLMAAws=

OpenBSD 6.7 errata 025, October 29, 2020:

In bgpd, the roa-set parser could leak memory.

Apply by doing:
    signify -Vep /etc/signify/openbsd-67-base.pub -x 025_bgpd.patch.sig \
        -m - | (cd /usr/src && patch -p0)

And then rebuild and install bgpd:
    cd /usr/src/usr.sbin/bgpd
    make obj
    make
    make install

Index: usr.sbin/bgpd/parse.y
===================================================================
RCS file: /cvs/src/usr.sbin/bgpd/parse.y,v
retrieving revision 1.406
diff -u -p -r1.406 parse.y
--- usr.sbin/bgpd/parse.y	23 Apr 2020 16:13:11 -0000	1.406
+++ usr.sbin/bgpd/parse.y	26 Oct 2020 21:32:05 -0000
@@ -4513,6 +4513,8 @@ add_roa_set(struct prefixset_item *npsi,
 	psi = RB_INSERT(prefixset_tree, curpsitree, npsi);
 	if (psi == NULL)
 		psi = npsi;
+	else
+		free(npsi);
 
 	if (psi->set == NULL)
 		if ((psi->set = set_new(1, sizeof(rs))) == NULL)
